using System.Collections.Generic;
using System.Collections.ObjectModel;
using CODE.Framework.Wpf.Mvvm;

namespace MagazineManagement.Models.Magazine
{
    public class PrintViewModel : ViewModel
    {
        public PrintViewModel(IEnumerable<StandardViewModel> issues)
        {
            Issues = new ObservableCollection<StandardViewModel>();
            foreach (var issue in issues)
                Issues.Add(issue);
            Actions.Add(new CloseCurrentViewAction(this, beginGroup: true));
        }
        public ObservableCollection<StandardViewModel> Issues { get; set; }
    }
}
